Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Benutzerdefinierte Eigenschaften

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Benutzerdefinierte Eigenschaften (4645 mal gelesen)
taeky
Mitglied



Sehen Sie sich das Profil von taeky an!   Senden Sie eine Private Message an taeky  Schreiben Sie einen Gästebucheintrag für taeky

Beiträge: 237
Registriert: 12.08.2003

Solid Works 2012
2x Xeon E5440
16 GB RAM
NVIDIA Quadro 4000
Windows 7 64bit<P>-----------------

erstellt am: 02. Jun. 2009 19:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo @all,

gibt es eine Möglichkeit Eintragungen der benutzerdefinierte Eigenschaften eines Bauteiles/Baugruppe in die benutzerdefinierten Eigenschaften einer Zeichnungsdatei automatisch zu übertragen.
Bitte nicht nach dem Sinn fragen, der Grund dafür sind Altlasten.

Grüße Taeky

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

THSEFA
Mitglied
Konstrukteur / CAD-Administrator


Sehen Sie sich das Profil von THSEFA an!   Senden Sie eine Private Message an THSEFA  Schreiben Sie einen Gästebucheintrag für THSEFA

Beiträge: 1086
Registriert: 27.11.2002

SWX 2015 SP3.0
Windows 7 Prof. 64Bit
Fujitsu CELSIUS M720
Intel XEON E5 1620
Quadro 4000
16 GB Ram

erstellt am: 03. Jun. 2009 09:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

Ich hoffe, es gibt keine auf den Deckel! Es ist nicht von mir, aber ich kann leider auch nicht mehr genau sagen, wo ich es her habe...

' ******************************************************************************
' macro recorded--And extensively modified!--on 01/06/03 by Brenda
' ******************************************************************************
Public swApp As SldWorks.SldWorks
Public oDwg As SldWorks.DrawingDoc
Public oView As SldWorks.view
Public oModel As SldWorks.ModelDoc2
Dim sModelName As String
Dim lRetVal As Long
Dim lCount As Long
Dim varPropNames As Variant

Const swDocDRAWING = 3


Sub main()

    Dim i As Integer
   
    On Error Resume Next

    Set swApp = CreateObject("SldWorks.Application")
    Set oDwg = swApp.ActiveDoc
    If (oDwg Is Nothing) Or (oDwg.GetType <> swDocDRAWING) Then
        MsgBox "You must have a drawing active before running this program.", vbCritical, "Oops"
        Exit Sub
    End If
   
'  Identify and load the model referenced by the drawing
    Set oView = oDwg.GetFirstView  'We assume here a simple case of the first view referring to the desired model
    Set oView = oView.GetNextView  'The first view returned is the sheet--we'll skip that one
    sModelName = oView.GetReferencedModelName
    If Not oView.IsModelLoaded Then
        lRetVal = oView.LoadModel
    End If
       
    Set oModel = swApp.ActivateDoc2(sModelName, False, lRetVal)
    If oModel Is Nothing Then
        MsgBox "Error in activating the model.", vbCritical, "Got a Problem here"
        Exit Sub
    End If
   
'  Get custom properties from referenced model
    lCount = oModel.GetCustomInfoCount2("")    'Only dealing with model-level properties here
    varPropNames = oModel.GetCustomInfoNames2("")
   
'  Load Form and populate properties
    frmPropTransfer.lstProperties.Clear
    For i = 0 To (lCount - 1)
        frmPropTransfer.lstProperties.AddItem varPropNames(i)
    Next i
    frmPropTransfer.Show

End Sub

------------------
Viele Grüße, THSEFA 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

u.clemens
Mitglied
Konstrukteur


Sehen Sie sich das Profil von u.clemens an!   Senden Sie eine Private Message an u.clemens  Schreiben Sie einen Gästebucheintrag für u.clemens

Beiträge: 948
Registriert: 04.07.2000

engineer's law
o cheap
o fast
o good
check only two !

erstellt am: 03. Jun. 2009 09:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

das geht auch viel einfacher - ohne Makro und vollautomatisch:

Schreibe einfach $PRPSHEET:"Konstrukteur" als Wert in die betreffende Eigenschaft ("Konstrukteur" ist dabei der Name der Eigenschaft im Teil bzw. Baugruppe).
In den Blatteigenschaften kannst du dann noch festlegen, von welcher Ansicht die Information genommen wird.
Das funktioniert allerdings nur Blatt-orientiert - Vorsicht also bei mehrblättrigen Zeichnungen.

------------------
mfg uc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

THSEFA
Mitglied
Konstrukteur / CAD-Administrator


Sehen Sie sich das Profil von THSEFA an!   Senden Sie eine Private Message an THSEFA  Schreiben Sie einen Gästebucheintrag für THSEFA

Beiträge: 1086
Registriert: 27.11.2002

SWX 2015 SP3.0
Windows 7 Prof. 64Bit
Fujitsu CELSIUS M720
Intel XEON E5 1620
Quadro 4000
16 GB Ram

erstellt am: 03. Jun. 2009 09:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von u.clemens:
das geht auch viel einfacher - ohne Makro und vollautomatisch:
...

Ja, du hast recht! Wenn du aber schon 1000 Zeichnungen hast, wo du aber keine BDE eingetragen hast, dann ist so ein Macro echt Gold wert. Und taeky sprach ja von "Altlasten", die es zu bereinigen gilt...

Also uns leistet es gute Dienste! Daher unbekannterweise nochmals 1000Dank an den Ersteller!

------------------
Viele Grüße, THSEFA 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

taeky
Mitglied



Sehen Sie sich das Profil von taeky an!   Senden Sie eine Private Message an taeky  Schreiben Sie einen Gästebucheintrag für taeky

Beiträge: 237
Registriert: 12.08.2003

Solid Works 2012
2x Xeon E5440
16 GB RAM
NVIDIA Quadro 4000
Windows 7 64bit<P>-----------------

erstellt am: 03. Jun. 2009 17:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

vielen Dank für die schnelle Hilfe.
Mit : $PRPSHEET:"Konstrukteur" konnte ich etwas anfangen.
Danke auch an THSEFA.
Vieleicht hätte ich das Altlastenthema doch beschreiben sollen.
Mit Altlasten meinte ich, dass unsere alten Daten Benutzerdefinierte Eigenschaften in identischer Form jeweils im Part/Baugruppe und in der Zeichnung enthalten.
Unser geplantes PDM System soll/muss (keine Ahnung) beide BdE lesen können. Da wollte ich die doppelte Eingabe vermeiden.
Aber das ist eine ganz andere Geschichte.....

Grüße
Taeky

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

THSEFA
Mitglied
Konstrukteur / CAD-Administrator


Sehen Sie sich das Profil von THSEFA an!   Senden Sie eine Private Message an THSEFA  Schreiben Sie einen Gästebucheintrag für THSEFA

Beiträge: 1086
Registriert: 27.11.2002

SWX 2015 SP3.0
Windows 7 Prof. 64Bit
Fujitsu CELSIUS M720
Intel XEON E5 1620
Quadro 4000
16 GB Ram

erstellt am: 04. Jun. 2009 08:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich


Migrate_Properties.zip

 
Hier mein komplettes Makro! Ich hoffe, ich darf hier dieses nicht vonmir stammende Makro veröffentlichen! Ansonsten bitte löschen.

@taeky
Das Makro macht, dass in deiner geöffneten Zeichnung das eines dazugehörige Bauteils geöffnet wird und alle BDE aus dem Bauteil in einem Fenster dargestellt werden. Dann musst du dir die entsprechenden BDE auswählen und OK klicken. Die ausgewählten BDE werden dann in die Zeichnung geschrieben. Das wars dann auch schon. Also macht es exakt das, was du benötigst. Nur wenn du die BDE von der Zeichnung in das Bauteil schreiben willst, das funktioniert mit dem Makro nicht. 

Viel Spaß damit...

------------------
Viele Grüße, THSEFA 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

taeky
Mitglied



Sehen Sie sich das Profil von taeky an!   Senden Sie eine Private Message an taeky  Schreiben Sie einen Gästebucheintrag für taeky

Beiträge: 237
Registriert: 12.08.2003

Solid Works 2012
2x Xeon E5440
16 GB RAM
NVIDIA Quadro 4000
Windows 7 64bit<P>-----------------

erstellt am: 06. Feb. 2010 22:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo @all,

so, jetzt nach Einführung des PDM Systems hat sich herausgestellt, dass das PDM System mit dem $PRPSHEET:"BlaBla" leider nichts anfangen kann.
Daher habe ich dass Makro von Brenda mal getestet und es macht eigentlich genau das richtige. Allerdings würde ich mir gern die einzelne  Auswahl der Eigenschaft ersparen, da ja immer die selben Werte übertragen werden müssen. Leider habe ich keine Erfahrungen im Makro schreiben oder editieren.
Kann mir jemand dafür behilflich sein. Am besten wäre es, wenn dieses Makro beim erstellen einer Zeichung automatisch ausgeführt werden würde.
Vielen Dank im Voraus.

Grüße
Taeky

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andi Beck
Ehrenmitglied V.I.P. h.c.
Konstrukteur



Sehen Sie sich das Profil von Andi Beck an!   Senden Sie eine Private Message an Andi Beck  Schreiben Sie einen Gästebucheintrag für Andi Beck

Beiträge: 2034
Registriert: 02.10.2006

Firma: SW 2017-5.0 Professional,
Windows 7 Pro 64bit, i7-2600K
3,4 GHz, 16 GbRAM, Quadro K2000
120GB SSD Extrememory XLR8 Plus
Home:
SW 2016-5.0
SW 2017-5.0
SW 2018-3.0
Windows 7 Home Premium 64bit,
i7-860, 3,2 GHz, 16 GbRAM, GeForce GTX 1050Ti
Samsung SSD 840EVO 250GB

erstellt am: 07. Feb. 2010 13:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

Hallo,
ich möchte mich mal an der Aussage von u.clemens anhängen.
Wenn ich in den Dateieigenschaften der Zeichnung $PRPSHEET:"Description" reinschreibe, wird mir als evaluierter Wert wieder $PRPSHEET:"Description" zurückgegeben. Leider nicht der Wert der im Part bzw. der Baugruppe hinterlegt ist.

Mach ich was falsch?

Grüße, Andi 

------------------
Hast du kein Problem?
Such dir eins. ( Und löse es )

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

GuidoCAD
Mitglied



Sehen Sie sich das Profil von GuidoCAD an!   Senden Sie eine Private Message an GuidoCAD  Schreiben Sie einen Gästebucheintrag für GuidoCAD

Beiträge: 202
Registriert: 27.11.2009

SolidWorks Premium 2013 SP 5.0 (de)
Win7 Pro N SP 1 (de)

erstellt am: 07. Feb. 2010 14:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

Hallo Andi,

als evaluierter Wert der betreffenden Eigenschaft steht zwar $PRPSHEET:"Description", wenn Du in der Zeichnung einen Bezugshinweis mit einer Verknüpfung auf diese Eigenschaft einfügst wird $PRPSHEET:"Description" jedoch durch den Wert ersetzt.

Du solltest ggf. noch die Option "Verwende benutzerdefinierte Eigenschaftswerte von" in den Blatteigenschaften entsprechend einstellen.

Mit freundlichen Grüßen
Guido

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andi Beck
Ehrenmitglied V.I.P. h.c.
Konstrukteur



Sehen Sie sich das Profil von Andi Beck an!   Senden Sie eine Private Message an Andi Beck  Schreiben Sie einen Gästebucheintrag für Andi Beck

Beiträge: 2034
Registriert: 02.10.2006

Firma: SW 2017-5.0 Professional,
Windows 7 Pro 64bit, i7-2600K
3,4 GHz, 16 GbRAM, Quadro K2000
120GB SSD Extrememory XLR8 Plus
Home:
SW 2016-5.0
SW 2017-5.0
SW 2018-3.0
Windows 7 Home Premium 64bit,
i7-860, 3,2 GHz, 16 GbRAM, GeForce GTX 1050Ti
Samsung SSD 840EVO 250GB

erstellt am: 07. Feb. 2010 15:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

Hallo Guido,
es geht mir aber nicht um einen Bezugshinweis in der Zeichnung (ich weiß, dass es dort funktioniert), sondern um die Dateieigenschaft, was oben behauptet wird, dass es so geht.
Ich möchte schlicht vermeiden, die Description ein zweites Mal in der Zeichnung von Hand eintragen zu müssen.

Ich habe auch schon versucht in Stefan´s Schriftfeldprogramm eine entsprechende Prg.-Zeile einzufügen, was ich aber noch nicht hinbekommen habe. Dort wird immer am aktuell geöffnetem Dokument gearbeitet.
Hier wird aber eine Dateieigenschaft vom Part bzw. der Baugruppe in die Zeichnung benötigt.

Dein zweiter Tip hat glaube ich mit diesem Problem nichts zu tun.
(Meine Einstellung entspricht bereits deiner Empfehlung)

Hast du evtl. noch weitere Tips?

Grüße, Andi 

------------------
Hast du kein Problem?
Such dir eins. ( Und löse es )

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

GuidoCAD
Mitglied



Sehen Sie sich das Profil von GuidoCAD an!   Senden Sie eine Private Message an GuidoCAD  Schreiben Sie einen Gästebucheintrag für GuidoCAD

Beiträge: 202
Registriert: 27.11.2009

SolidWorks Premium 2013 SP 5.0 (de)
Win7 Pro N SP 1 (de)

erstellt am: 07. Feb. 2010 19:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich


Kegelstumpf.zip

 
Hallo Andi,

ich habe das oben Geschriebene wie folgt verstanden:

  • Benutzerdefinierte Eigenschaft im Bauteil definieren, z.B.
    Eigenschaft: MeineBeschreibung
    Wert: KegelStumpf

  • Benutzerdefinierte Eigenschaft in der Zeichnung definieren,
    Eigenschaft: MeineBeschreibung
    Wert: $PRPSHEET:"MeineBeschreibung"

  • Benutzerdefinierte Eigenschaft in der Zeichnung verwenden
    Aufruf über: $PRP:"MeineBeschreibung"

Eine Änderung der benutzerdefinierten Eigenschaft im Bauteil ändert auch den Wert der betreffenden Eigenschaft in der Zeichnung. Allerdings frage ich mich, ob "das Ganze" so überhaupt Sinn macht. Anbei noch ein kleines Beispiel.

Mit freundlichen Grüßen
Guido

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

myca
Ehrenmitglied V.I.P. h.c.
Konstrukteur



Sehen Sie sich das Profil von myca an!   Senden Sie eine Private Message an myca  Schreiben Sie einen Gästebucheintrag für myca

Beiträge: 4193
Registriert: 15.06.2007

SW 2007
SW 2008
SW 2009
2,67 GHz,2 GB, ATI FIRE GL V5200, XP 64

erstellt am: 07. Feb. 2010 19:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

Hi Guido,

Zitat:
Eine Änderung der benutzerdefinierten Eigenschaft im Bauteil ändert auch den Wert der betreffenden Eigenschaft in der Zeichnung. Allerdings frage ich mich, ob "das Ganze" so überhaupt Sinn macht.

aber klaar macht es einen...

Ich mache meine "Eigenschaften" nur im Model/Baugruppe - die hole ich mir auf die Zeichnung entweder automatisch über Blattformate oder auch nach Bedarf zu Fuß. Funzt wunderbar.

G.  thomas

------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

GuidoCAD
Mitglied



Sehen Sie sich das Profil von GuidoCAD an!   Senden Sie eine Private Message an GuidoCAD  Schreiben Sie einen Gästebucheintrag für GuidoCAD

Beiträge: 202
Registriert: 27.11.2009

SolidWorks Premium 2013 SP 5.0 (de)
Win7 Pro N SP 1 (de)

erstellt am: 07. Feb. 2010 19:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

Hallo Thomas,
Zitat:
Original erstellt von myca:
... aber klaar macht es einen...


ja schon, aaaber:

Wenn ich eine benutzerdefinierte Eigenschaft eines Bauteils in der Zeichnung einsetzen möchte gehe ich doch nicht den Umweg über eine benutzerdefinierte Eigenschaft in der Zeichnung. Oder hat dies irgendwelche Vorteile?

Mit freundlichen Grüßen
Guido

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

myca
Ehrenmitglied V.I.P. h.c.
Konstrukteur



Sehen Sie sich das Profil von myca an!   Senden Sie eine Private Message an myca  Schreiben Sie einen Gästebucheintrag für myca

Beiträge: 4193
Registriert: 15.06.2007

SW 2007
SW 2008
SW 2009
2,67 GHz,2 GB, ATI FIRE GL V5200, XP 64

erstellt am: 07. Feb. 2010 20:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

Hi,

muß da was durcheinander gebracht haben...

Zitat:
Wenn ich eine benutzerdefinierte Eigenschaft eines Bauteils in der Zeichnung einsetzen möchte gehe ich doch nicht den Umweg über eine benutzerdefinierte Eigenschaft in der Zeichnung

ja, tue ich auch nicht.... Nur Bauteil/Baugruppe. Sehe ich kein Bedarf was Informationen angeht, die am Bauteil/Baugruppe hängen. Womöglich eben welche, die nur mit der Zeichnung (als solche) hängen können.


G.  thomas

------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

taeky
Mitglied



Sehen Sie sich das Profil von taeky an!   Senden Sie eine Private Message an taeky  Schreiben Sie einen Gästebucheintrag für taeky

Beiträge: 237
Registriert: 12.08.2003

Solid Works 2012
2x Xeon E5440
16 GB RAM
NVIDIA Quadro 4000
Windows 7 64bit<P>-----------------

erstellt am: 08. Feb. 2010 07:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Wenn ich eine benutzerdefinierte Eigenschaft eines Bauteils in der Zeichnung einsetzen möchte gehe ich doch nicht den Umweg über eine benutzerdefinierte Eigenschaft in der Zeichnung.  Oder hat dies irgendwelche Vorteile?

Leider ist man bei uns diesen Weg vor ein paar Jahren gegangen und hat bei dieser Glegenheit jetzt auch den PDM Lieferanten gezwungen diese Pfad zu nehmen.

Daher wäre das Makro eine Möglichkeit, zumindest ein paar Steine auf den falschen Weg zu entfernen.

Grüße
Taeky

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Decoderm
Mitglied



Sehen Sie sich das Profil von Decoderm an!   Senden Sie eine Private Message an Decoderm  Schreiben Sie einen Gästebucheintrag für Decoderm

Beiträge: 92
Registriert: 03.11.2005

SolidWorks 2016 x64 SP5.0
Windows 10 x64
NVIDIA Quadro M4000
Arbeitsspeicher: 32 GB
Workstation HP Z440

erstellt am: 11. Jun. 2018 16:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

ACHTUNG! Sie antworten auf einen Beitrag der älter als 1 Jahr ist!

Ich kram mal den alten Thread wieder aus

Gibts es die Möglichkeit auch Konfigurationsspezifische Eigenschaften in die Zeichnung zu übertragen?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Maschinenbautechniker



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2037
Registriert: 18.07.2012

HP Z400 Workstaion
CPU: Intel Xeon 6x 3,33GHz
GPU: NVIDEA Quadro 2000
RAM: 12 GB DDR3
Win 7 x64
CAD Hauptberuflich
-Solid Works 2014 SP4
-Creo Elements Direct Drafting (ME10)
DMS/PDM
-Pro.File V8 (8.4)
Simulation
-Simufact Forming 11.0
CAD Nebenberuflich
-Pro Engineer WF 3+4
-Creo Parametric 2.0

erstellt am: 12. Jun. 2018 08:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

Hallo,

ja das ist auch möglich, hierzu muss die Konfiguration bekannt sein von welcher du die Eigenschaften möchtest.

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Decoderm
Mitglied



Sehen Sie sich das Profil von Decoderm an!   Senden Sie eine Private Message an Decoderm  Schreiben Sie einen Gästebucheintrag für Decoderm

Beiträge: 92
Registriert: 03.11.2005

SolidWorks 2016 x64 SP5.0
Windows 10 x64
NVIDIA Quadro M4000
Arbeitsspeicher: 32 GB
Workstation HP Z440

erstellt am: 12. Jun. 2018 09:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

Ich meine in die Dateieigenschaften Benutzerdefiniert in der Zeichnung.

Ich habe z. B.

Konfig 1: Eigenschaftsname Abmaße: 100mm
Konfig 2: Eigenschaftsname Abmaße: 200mm

Den Wert aus der Zeile Abmaße möchte ich übernehmen.

Am besten wäre, die Werte aus der aktiven Konfiguration zu übernehmen.


[Diese Nachricht wurde von Decoderm am 12. Jun. 2018 editiert.]

[Diese Nachricht wurde von Decoderm am 12. Jun. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Maschinenbautechniker



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2037
Registriert: 18.07.2012

HP Z400 Workstaion
CPU: Intel Xeon 6x 3,33GHz
GPU: NVIDEA Quadro 2000
RAM: 12 GB DDR3
Win 7 x64
CAD Hauptberuflich
-Solid Works 2014 SP4
-Creo Elements Direct Drafting (ME10)
DMS/PDM
-Pro.File V8 (8.4)
Simulation
-Simufact Forming 11.0
CAD Nebenberuflich
-Pro Engineer WF 3+4
-Creo Parametric 2.0

erstellt am: 12. Jun. 2018 16:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

Hallo nochmal,

hast du schon ein Macro?
Du musst "nur" neben dem referenzierten Part auch die referenzierte Konfiguration holen und diese ensprechend in deinem Eigenschaftswertabruf übernehmen.

Dazu hättest du einmal "ReferencedConfiguration Property (IView)"
dessen Rückgabewert du dann für "Configuration" bzw. "Config Name" verwendest, je nach dem welche der beiden Methoden du verwendest.

Code:
PropertyValue= swModelDoc.CustomInfo2(Configuration, FieldName)

Code:
swCustProp = swModelDocExt.CustomPropertyManager(ConfigName)
boolstatus = swCustProp.Get4("Property_Name", False, val, valout)

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Decoderm
Mitglied



Sehen Sie sich das Profil von Decoderm an!   Senden Sie eine Private Message an Decoderm  Schreiben Sie einen Gästebucheintrag für Decoderm

Beiträge: 92
Registriert: 03.11.2005

SolidWorks 2016 x64 SP5.0
Windows 10 x64
NVIDIA Quadro M4000
Arbeitsspeicher: 32 GB
Workstation HP Z440

erstellt am: 12. Jun. 2018 16:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

Ich benutze das Macro von THSEFA (Migrate_properties).
Für Benutzerdefinierte Eigenschaften ist das Macro top.
Mir fehlt leider noch das mit den Konfigurationen.

Wo muss ich das in dem Macro einfügen?
Bin leider noch nicht ganz fit darin.

[Diese Nachricht wurde von Decoderm am 12. Jun. 2018 editiert.]

[Diese Nachricht wurde von Decoderm am 13. Jun. 2018 editiert.]

[Diese Nachricht wurde von Decoderm am 13. Jun. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Maschinenbautechniker



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2037
Registriert: 18.07.2012

HP Z400 Workstaion
CPU: Intel Xeon 6x 3,33GHz
GPU: NVIDEA Quadro 2000
RAM: 12 GB DDR3
Win 7 x64
CAD Hauptberuflich
-Solid Works 2014 SP4
-Creo Elements Direct Drafting (ME10)
DMS/PDM
-Pro.File V8 (8.4)
Simulation
-Simufact Forming 11.0
CAD Nebenberuflich
-Pro Engineer WF 3+4
-Creo Parametric 2.0

erstellt am: 13. Jun. 2018 09:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

Hallo,

also um nur auf konfigurationsspezifische Eigenschaften zu gehen musst du folgendes anpassen:

1. Eine neue Public Variable im Modul "Migrate_Properties1" definieren

Code:
Public sConfigName As String

2. Dir den Konfigurationsname der in der ersten richtigen Ansicht verwendet wird holen, am besten gleich nach dem Modelnamen (Modul "Migrate_Properties1")
Code:
sModelName = oView.GetReferencedModelName
sConfigName = oView.ReferencedConfiguration '<--- neu einzufügende Zeile
If Not oView.IsModelLoaded Then

3. In den Abfragen der vorhandenen Eigenschaften die Konfiguration ergänzen aus welcher die Eigenschaftsnamen kommen, also "" ersetzen durch "sConfigName" (Modul "Migrate_Properties1").
Code:
lCount = oModel.GetCustomInfoCount2(sConfigName)    'Only dealing with model-level properties here
varPropNames = oModel.GetCustomInfoNames2(sConfigName)

4. Im Code der UserForm "frmPropTransfer", beim befüllen/erzeugen der neuen Eigenschaften in der Zeichnung den Konfigurationnamen hinzufügen ("" ersetzten durch "sConfigName")
Code:
sValue = oModel.CustomInfo2(sConfigName, sName)
lType = oModel.GetCustomInfoType3(sConfigName, sName)

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Decoderm
Mitglied



Sehen Sie sich das Profil von Decoderm an!   Senden Sie eine Private Message an Decoderm  Schreiben Sie einen Gästebucheintrag für Decoderm

Beiträge: 92
Registriert: 03.11.2005

SolidWorks 2016 x64 SP5.0
Windows 10 x64
NVIDIA Quadro M4000
Arbeitsspeicher: 32 GB
Workstation HP Z440

erstellt am: 13. Jun. 2018 09:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

Super! Vielen Dank Bernd.
Wie mache ich das wenn ich beides kombinieren will? Benutzerdefiniert und Konfigurationsspezifisch.


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Maschinenbautechniker



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2037
Registriert: 18.07.2012

HP Z400 Workstaion
CPU: Intel Xeon 6x 3,33GHz
GPU: NVIDEA Quadro 2000
RAM: 12 GB DDR3
Win 7 x64
CAD Hauptberuflich
-Solid Works 2014 SP4
-Creo Elements Direct Drafting (ME10)
DMS/PDM
-Pro.File V8 (8.4)
Simulation
-Simufact Forming 11.0
CAD Nebenberuflich
-Pro Engineer WF 3+4
-Creo Parametric 2.0

erstellt am: 13. Jun. 2018 10:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich


Migrate_Properties_mod_bk.zip

 
Hallo,

hier wird die Sache dann etwas verzwickter und es wird etwas mehr Hirnschmalz nötig, da eine Falschunterscheidung benötig wird. Eine einfachere Variante wäre dann wohl 2 SelectBoxen erstellen eine für die bendef. und eine für die konfspez. oder wenn es über eine Box laufen soll könnte man es evtl. mit einem Arry lösen das die Information enthält ob bendef. oder konfspez.. Besteht die Gefahr das Eigenschaften sowohl in den benutzerdefinierten wie auch in den konfigurationsspezifischen vorhanden sind, weil dann wird die Sache noch lustiger?

[EIDT] Im Anhang das quick 'n' durty modifizierte Macro. Um zu wissen wo die Eigenschaft herkommt habe ich in der Selectbox (BD)) benutzerdefiniert / (KS) konfigurationsspezifisch an die Auswahlmöglichkeiten angehängt.

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete  

[Diese Nachricht wurde von bk.sc am 13. Jun. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Decoderm
Mitglied



Sehen Sie sich das Profil von Decoderm an!   Senden Sie eine Private Message an Decoderm  Schreiben Sie einen Gästebucheintrag für Decoderm

Beiträge: 92
Registriert: 03.11.2005

SolidWorks 2016 x64 SP5.0
Windows 10 x64
NVIDIA Quadro M4000
Arbeitsspeicher: 32 GB
Workstation HP Z440

erstellt am: 13. Jun. 2018 12:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

Mir wäre eine Box lieber. Wie stellt man das mit einem Arry an?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Maschinenbautechniker



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2037
Registriert: 18.07.2012

HP Z400 Workstaion
CPU: Intel Xeon 6x 3,33GHz
GPU: NVIDEA Quadro 2000
RAM: 12 GB DDR3
Win 7 x64
CAD Hauptberuflich
-Solid Works 2014 SP4
-Creo Elements Direct Drafting (ME10)
DMS/PDM
-Pro.File V8 (8.4)
Simulation
-Simufact Forming 11.0
CAD Nebenberuflich
-Pro Engineer WF 3+4
-Creo Parametric 2.0

erstellt am: 13. Jun. 2018 12:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

Hallo,

hat sich wohl überschnitten deine Antwort mit meinem Editieren, hab es in einer Box belassen und ohne ein zweidimensionales Arry gelöst (eindimensional war es ja vorher schon). Für die Lösung werte ich den von mir angehängten String aus der Selectbox aus, also prüfe ob die letzten 4 Zeichen der Selection "(BD)" ist und je nachdem ob ja oder nein wird eine von zwei verschiedene Schleifen angesteuert.

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Decoderm
Mitglied



Sehen Sie sich das Profil von Decoderm an!   Senden Sie eine Private Message an Decoderm  Schreiben Sie einen Gästebucheintrag für Decoderm

Beiträge: 92
Registriert: 03.11.2005

SolidWorks 2016 x64 SP5.0
Windows 10 x64
NVIDIA Quadro M4000
Arbeitsspeicher: 32 GB
Workstation HP Z440

erstellt am: 13. Jun. 2018 13:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

Super Bernd! Das ist das was ich gesucht habe!
DANKE!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Maschinenbautechniker



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2037
Registriert: 18.07.2012

HP Z400 Workstaion
CPU: Intel Xeon 6x 3,33GHz
GPU: NVIDEA Quadro 2000
RAM: 12 GB DDR3
Win 7 x64
CAD Hauptberuflich
-Solid Works 2014 SP4
-Creo Elements Direct Drafting (ME10)
DMS/PDM
-Pro.File V8 (8.4)
Simulation
-Simufact Forming 11.0
CAD Nebenberuflich
-Pro Engineer WF 3+4
-Creo Parametric 2.0

erstellt am: 13. Jun. 2018 14:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für taeky 10 Unities + Antwort hilfreich

Ein wichtiger Nachsatz.

Was natürlich nicht geht ist Eigenschaften mit dem identischen Namen eintragen falls diese bendef. und confspez. vorhanden sein sollten, hier wird immer die zuletzt selectierte verwendet.
Das Macro hat natürlich auch noch Optimierungspotenzial:
- Umstellen auf die Verwendung des CustomPropertyManager
- Erweitern um Konfigurationsauswahl
...

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz